|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QXmlStreamNotationDeclaration Class Reference
[QtCore module]

The QXmlStreamNotationDeclaration class represents a DTD notation declaration. More...

     #include <QXmlStreamNotationDeclaration>

Note: All the functions in this class are reentrant.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Public Functions

- QXmlStreamNotationDeclaration ()
- QXmlStreamNotationDeclaration ( const QXmlStreamNotationDeclaration & other )
- ~QXmlStreamNotationDeclaration ()
- QStringRef name () const
- QStringRef publicId () const
- QStringRef systemId () const
- bool operator!= ( const QXmlStreamNotationDeclaration & other ) const
- QXmlStreamNotationDeclaration & operator= ( const QXmlStreamNotationDeclaration & other )
- bool operator== ( const QXmlStreamNotationDeclaration & other ) const

### Related Non-Members

- typedef QXmlStreamNotationDeclarations

## Detailed Description

The QXmlStreamNotationDeclaration class represents a DTD notation declaration.

An notation declaration consists of a name(), a systemId(), and a publicId().

## Member Function Documentation

### QXmlStreamNotationDeclaration::QXmlStreamNotationDeclaration ()

Creates an empty notation declaration.

### QXmlStreamNotationDeclaration::QXmlStreamNotationDeclaration ( const QXmlStreamNotationDeclaration & other )

Creates a copy of other.

### QXmlStreamNotationDeclaration::~QXmlStreamNotationDeclaration ()

Destructs this notation declaration.

### QStringRef QXmlStreamNotationDeclaration::name () const

Returns the notation name.

### QStringRef QXmlStreamNotationDeclaration::publicId () const

Returns the public identifier.

### QStringRef QXmlStreamNotationDeclaration::systemId () const

Returns the system identifier.

### bool QXmlStreamNotationDeclaration::operator!= ( const QXmlStreamNotationDeclaration & other ) const

Compares this notation declaration with other and returns true if they are not equal; otherwise returns false.

### QXmlStreamNotationDeclaration & QXmlStreamNotationDeclaration::operator= ( const QXmlStreamNotationDeclaration & other )

Assigns other to this notation declaration.

### bool QXmlStreamNotationDeclaration::operator== ( const QXmlStreamNotationDeclaration & other ) const

Compares this notation declaration with other and returns true if they are equal; otherwise returns false.

## Related Non-Members

### typedef QXmlStreamNotationDeclarations

Synonym for QVector<QXmlStreamNotationDeclaration>.